{% extends 'base.html' %}

{% block title %}
    Account {{data.username}}
{% endblock %}

{% block content %}
    <div class="col">
        <a class="btn btn-warning" href="{{url_for('account.edit_account', id=data.id)}}">Edit</a>
        <a class="btn btn-danger" href="{{url_for('account.delete_account', id=data.id)}}">Delete</a>
    </div>
    <div class="w-100"></div>
    <div class="card">
        {% if data.profpic %}
            <img class="card-img-top" src="{{url_for('account.get_account_image', id=data.id)}}"/>
        {% endif %}
        <div class="card-body">
            <table class="table">
                <tbody>
                    <tr>
                        <td>Name</td><td>:</td><td>{{data.name}}</td>
                    </tr>
                    <tr>
                        <td>Phone</td><td>:</td><td>{{data.phone}}</td>
                    </tr>
                    <tr>
                        <td>Username</td><td>:</td><td>{{data.username}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="w-100"></div>
    <div class="col">
        {% if involved_event %}
            <table class="table table-bordered">
                <thead class="thead-dark">
                    <tr>
                        <th>No</th>
                        <th>Event Name</th>
                        <th>Start</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in involved_event %}
                        <tr>
                            <td>{{loop.index}}</td>
                            <td><a href="{{url_for('event.get_event', id=item.id)}}">{{item.shortname}}</a></td>
                            <td>{{item.start}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <h5>No events is joined</h5>
        {% endif %}
    </div>
{% endblock content %}